% Isotropic elasticity
%  K = E/(3 * (1 - 2*nu));
%  G  = E/(2 * (1 + nu)  );
%Ke = (2*(1+nu))/(3*(1-2*nu))*G;

D = [K+4/3*G,  K-2/3*G,  K-2/3*G,  0, 0, 0; ...
     K-2/3*G,  K+4/3*G,  K-2/3*G,  0, 0, 0; ...
     K-2/3*G,  K-2/3*G,  K+4/3*G,  0, 0, 0; ...
     0,            0,        0,    G, 0, 0; ...
     0,            0,        0,    0, G, 0; ...
     0,            0,        0,    0, 0, G];
