classdef invariantStresses
    methods(Static)
        function p = hyd(v)
            p =  1/3*(v(1)+v(2)+v(3));
        end
        
        function out = dev(v)
            p   = invariantStresses.hyd(v);
            out = sqrt(3/2*( (v(1)-p)^2+(v(2)-p)^2+(v(3)-p)^2+2*(v(4)^2+v(5)^2+v(6)^2)));
        end
    end
end