function fortran2(symbolicEquation, filetype, filename)
% Made 22.01.16 Jon A. Ronningen    
% Convert from fixed to "free" format

    tmpFileName = strcat(filename, 'tmp');
    fortran(symbolicEquation, filetype, tmpFileName);

   fid = fopen(tmpFileName);
   tline = fgets(fid);
   tprevline = tline;
   fid2 = fopen(filename, 'a');
   
while ischar(tline)
    if (isspace(tline(6)) ~= 1)
        tprevline = strcat(tprevline,tline(7:length(tline)));
    else
        if (strcmp(tprevline,tline) == false)
            fprintf(fid2, strcat(tprevline, '\n'));
        end
        tprevline = tline;
    end  
   tline = fgets(fid);
end

fprintf(fid2, strcat(tprevline, '\n'));
fclose(fid); 
fclose(fid2); 
delete(tmpFileName);
end