def gather_phase_overview(): 
    results = [] 
    allpassed = True 
    for phase in g_i.Phases[:]: 
        msg = "not calculated" 
        if not phase.ShouldCalculate: 
            if phase.CalculationResult == phase.CalculationResult.ok: 
                msg = "OK" # may be extended for more details 
            else: 
                msg = "Failed: error {0}".format(phase.LogInfo) 
                allpassed = False 
        results.append("{0}: {1}".format( phase.Name, msg)) 
     return allpassed, results
	 
	 
def get_message_info(): 
    message = {"Subject": "", "Body": ""} 
    allpassed, results = gather_phase_overview() 
    if allpassed == True: 
        message["Subject"] = "Calculation OK" 
    else: 
        message["Subject"] = "Calculation failed" 
    body = ["Summary for PLAXIS calculation"] 
    body.append("Title: {0}".format(g_i.Project.Title)) 
    body.append("File: {0}".format(g_i.Project.Filename)) 
    body.append('') 
    body.append('Phase results:') 
    for result in results: 
        body.append('- {0}'.format(result)) 
    message["Body"] = "n".join(body) 
    return message