import sys, os
import numpy as np
from matplotlib import pyplot

from bearingCap import BearingCap 
from elemTriaxialTest import ElemTriaxialTest, run 
# from soilLayer import SoilLayer

class testUSR(BearingCap):
    pass    
    def apply_soil_material(self):
        """
        Default soil material that is applied to all soil layers.
        The function may be overwritten or changed directly in blankSlate.py.
        """
        MATERIAL_PARAMETERS = [
        ('MaterialName', 'Userdefined Material'),
        ('Colour', 10676870),
        ('SoilModel', 100), # Userdefined
        ('DrainageType', 'Undrained A'),
        ('gammaUnsat', 20),
        ('gammaSat', 20),
        ("InterfaceStrength", 1),
        ("Gref", 1),
        ("cref", 1),        
        ('UserDLLName', 'test.dll'),
        ('UserModel', "Von Mises"),        
        ('User1',50*1000),
        ('User2',3000*1000),
        ('User3',0.3),
        ("K0Determination", 0),
        ("K0Primary", 0.5),
        ("K0Secondary", 0.5)]

        soilMaterial = self.model.soilmat(*MATERIAL_PARAMETERS)
    
        for soil_layer in self.model.SoilLayers:
            self.model.setmaterial(soil_layer, soilMaterial)

if __name__ == '__main__':
    run(testUSR)

    